<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: AhrsData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_ahrs_data_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AhrsData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_ahrs_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef AHRSDATA_H</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#define AHRSDATA_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="io__data_8h.html">io_data.h</a>&gt;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_data_element_8h.html">IODataElement.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_vector3_d_8h.html">Vector3D.h</a>&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_quaternion_8h.html">Quaternion.h</a>&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html">   30</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_ahrs_data.html">AhrsData</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1io__data.html">io_data</a> {</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data_1_1_type.html">   32</a></span>&#160;  <span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_ahrs_data_1_1_type.html">Type</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_data_type.html">DataType</a> {</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data_1_1_type.html">Type</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> &amp;inElementDataType)</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        : elementDataType(inElementDataType) {}</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> &amp;GetElementDataType()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> elementDataType; }</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    std::string GetDescription()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="stringliteral">&quot;ahrs data&quot;</span>; }</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keywordtype">size_t</span> GetSize()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> 7 * elementDataType.GetSize(); }</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <span class="keyword">private</span>:</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> &amp;elementDataType;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  };</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe">   48</a></span>&#160;  <span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea5f8990388fad1c927fc08019824fcbdd">   49</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea5f8990388fad1c927fc08019824fcbdd">Roll</a> ,</div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea14abd733b4aae994e03227a41414c956">   50</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea14abd733b4aae994e03227a41414c956">Pitch</a> ,</div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeaacc98a52fd3a118df2369ceacfe42e80">   51</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeaacc98a52fd3a118df2369ceacfe42e80">Yaw</a> ,</div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea5fc64bf63e469acf2ea04b026566898a">   52</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea5fc64bf63e469acf2ea04b026566898a">RollDeg</a> ,</div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeab1879f408d8ca43877c6b8e1d1c47e2a">   53</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeab1879f408d8ca43877c6b8e1d1c47e2a">PitchDeg</a> ,</div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea36d7aef4c89906df6c51376607cb3d26">   54</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea36d7aef4c89906df6c51376607cb3d26">YawDeg</a> ,</div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea95d87bf031551718d82d04ac1daf420a">   55</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea95d87bf031551718d82d04ac1daf420a">Q0</a> ,</div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea860a4d9a79ac97d2b726877763841b51">   56</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea860a4d9a79ac97d2b726877763841b51">Q1</a> ,</div>
<div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0c65aec2815d382db5369f0808a24b46">   57</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0c65aec2815d382db5369f0808a24b46">Q2</a> ,</div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea019be59f634370d62819b22c1d4b2b2f">   58</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea019be59f634370d62819b22c1d4b2b2f">Q3</a> ,</div>
<div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0d0e2f77ee750b3cc816f2064f390bf1">   59</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0d0e2f77ee750b3cc816f2064f390bf1">Wx</a> ,</div>
<div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea923e9fc48418524ec1721e2f923d5c7a">   60</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea923e9fc48418524ec1721e2f923d5c7a">Wy</a> ,</div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea3c9eaace6600b7f0c84cf88fddd146b4">   61</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea3c9eaace6600b7f0c84cf88fddd146b4">Wz</a> ,</div>
<div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfead3903f76bb1704dbc3cfb86fa1e192f5">   62</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfead3903f76bb1704dbc3cfb86fa1e192f5">WxDeg</a> ,</div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0106141acaa3bcfdb1a2230ccd826731">   63</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0106141acaa3bcfdb1a2230ccd826731">WyDeg</a> ,</div>
<div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea1543ed94aca30d1db18d7f851cc06849">   64</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea1543ed94aca30d1db18d7f851cc06849">WzDeg</a> ,</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  } <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe">PlotableData_t</a>;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#aa34ea3b366763a0fab3ac98c3aaacf17">AhrsData</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">int</span> n = 1);</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a52a22cd3ac38c1f402c9276d2eaf0cfd">~AhrsData</a>();</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <a class="code" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a> *<a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a0100cfbcaa8c292e53e165201a2d8e1f">Element</a>(<a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe">PlotableData_t</a> plotableData) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a97a810113ff30b4a7661cedfbd00a248">SetQuaternion</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion);</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;  <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a7dae31f1c0d942ee2090f00d1126df6c">GetQuaternion</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#ad5b8be3de3fbd4ec342ea616132659dd">SetAngularRates</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;angularRates);</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;  <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a32909780fe8fa7e39932443007ef4389">GetAngularRates</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#ab8eee838e9a7f8f503638cf183af55dd">GetQuaternionAndAngularRates</a>(<a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion,</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;                                    <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;angularRates) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_ahrs_data.html#a2b6f3f93c50b4b4ae304979eec889750">SetQuaternionAndAngularRates</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion,</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;                                    <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;angularRates);</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;  <span class="keyword">const</span> Type &amp;GetDataType()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> dataType; }</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;  <span class="keywordtype">void</span> RawRead(<span class="keywordtype">char</span> *dst) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;  <span class="keywordtype">void</span> Queue(<span class="keywordtype">char</span> **dst, <span class="keyword">const</span> <span class="keywordtype">void</span> *src, <span class="keywordtype">size_t</span> size) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;  Quaternion quaternion;</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;  Vector3Df angularRates;</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;  Type dataType;</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;};</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;<span class="preprocessor">#endif // AHRSDATA_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a7dae31f1c0d942ee2090f00d1126df6c"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a7dae31f1c0d942ee2090f00d1126df6c">flair::core::AhrsData::GetQuaternion</a></div><div class="ttdeci">Quaternion GetQuaternion(void) const </div><div class="ttdoc">Get quaternion. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_data_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_data_type.html">flair::core::DataType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:26</div></div>
<div class="ttc" id="classflair_1_1core_1_1_object_html"><div class="ttname"><a href="classflair_1_1core_1_1_object.html">flair::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:83</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfea14abd733b4aae994e03227a41414c956"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea14abd733b4aae994e03227a41414c956">flair::core::AhrsData::Pitch</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:50</div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_d_html"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; float &gt;</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfea019be59f634370d62819b22c1d4b2b2f"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea019be59f634370d62819b22c1d4b2b2f">flair::core::AhrsData::Q3</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:58</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a97a810113ff30b4a7661cedfbd00a248"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a97a810113ff30b4a7661cedfbd00a248">flair::core::AhrsData::SetQuaternion</a></div><div class="ttdeci">void SetQuaternion(const Quaternion &amp;quaternion)</div><div class="ttdoc">Set quaternion. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a32909780fe8fa7e39932443007ef4389"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a32909780fe8fa7e39932443007ef4389">flair::core::AhrsData::GetAngularRates</a></div><div class="ttdeci">Vector3Df GetAngularRates(void) const </div><div class="ttdoc">Get angular rates. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html">flair::core::AhrsData</a></div><div class="ttdoc">Class defining AHRS datas. </div><div class="ttdef"><b>Definition:</b> AhrsData.h:30</div></div>
<div class="ttc" id="io__data_8h_html"><div class="ttname"><a href="io__data_8h.html">io_data.h</a></div><div class="ttdoc">Abstract class for data types. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_ab8eee838e9a7f8f503638cf183af55dd"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#ab8eee838e9a7f8f503638cf183af55dd">flair::core::AhrsData::GetQuaternionAndAngularRates</a></div><div class="ttdeci">void GetQuaternionAndAngularRates(Quaternion &amp;quaternion, Vector3Df &amp;angularRates) const </div><div class="ttdoc">Get both quaternion and angular rates. </div></div>
<div class="ttc" id="_vector3_d_8h_html"><div class="ttname"><a href="_vector3_d_8h.html">Vector3D.h</a></div><div class="ttdoc">Class defining a 3D vector. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_aa34ea3b366763a0fab3ac98c3aaacf17"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#aa34ea3b366763a0fab3ac98c3aaacf17">flair::core::AhrsData::AhrsData</a></div><div class="ttdeci">AhrsData(const Object *parent, std::string name=&quot;&quot;, int n=1)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfea95d87bf031551718d82d04ac1daf420a"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea95d87bf031551718d82d04ac1daf420a">flair::core::AhrsData::Q0</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:55</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_1_1_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data_1_1_type.html">flair::core::AhrsData::Type</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:32</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfea0c65aec2815d382db5369f0808a24b46"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0c65aec2815d382db5369f0808a24b46">flair::core::AhrsData::Q2</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:57</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfea5fc64bf63e469acf2ea04b026566898a"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea5fc64bf63e469acf2ea04b026566898a">flair::core::AhrsData::RollDeg</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:52</div></div>
<div class="ttc" id="_i_o_data_element_8h_html"><div class="ttname"><a href="_i_o_data_element_8h.html">IODataElement.h</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_scalar_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_scalar_type.html">flair::core::ScalarType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:40</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfea0d0e2f77ee750b3cc816f2064f390bf1"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0d0e2f77ee750b3cc816f2064f390bf1">flair::core::AhrsData::Wx</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:59</div></div>
<div class="ttc" id="_quaternion_8h_html"><div class="ttname"><a href="_quaternion_8h.html">Quaternion.h</a></div><div class="ttdoc">Class defining a quaternion. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfea0106141acaa3bcfdb1a2230ccd826731"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea0106141acaa3bcfdb1a2230ccd826731">flair::core::AhrsData::WyDeg</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:63</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfea923e9fc48418524ec1721e2f923d5c7a"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea923e9fc48418524ec1721e2f923d5c7a">flair::core::AhrsData::Wy</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:60</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfead3903f76bb1704dbc3cfb86fa1e192f5"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfead3903f76bb1704dbc3cfb86fa1e192f5">flair::core::AhrsData::WxDeg</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:62</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a2b6f3f93c50b4b4ae304979eec889750"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a2b6f3f93c50b4b4ae304979eec889750">flair::core::AhrsData::SetQuaternionAndAngularRates</a></div><div class="ttdeci">void SetQuaternionAndAngularRates(const Quaternion &amp;quaternion, const Vector3Df &amp;angularRates)</div><div class="ttdoc">Set both quaternion and angular rates. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a52a22cd3ac38c1f402c9276d2eaf0cfd"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a52a22cd3ac38c1f402c9276d2eaf0cfd">flair::core::AhrsData::~AhrsData</a></div><div class="ttdeci">~AhrsData()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfea5f8990388fad1c927fc08019824fcbdd"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea5f8990388fad1c927fc08019824fcbdd">flair::core::AhrsData::Roll</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:49</div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_data_element_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_data_element.html">flair::core::IODataElement</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div><div class="ttdef"><b>Definition:</b> IODataElement.h:27</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfea860a4d9a79ac97d2b726877763841b51"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea860a4d9a79ac97d2b726877763841b51">flair::core::AhrsData::Q1</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:56</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_ad5b8be3de3fbd4ec342ea616132659dd"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#ad5b8be3de3fbd4ec342ea616132659dd">flair::core::AhrsData::SetAngularRates</a></div><div class="ttdeci">void SetAngularRates(const Vector3Df &amp;angularRates)</div><div class="ttdoc">Set angular rates. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a0100cfbcaa8c292e53e165201a2d8e1f"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a0100cfbcaa8c292e53e165201a2d8e1f">flair::core::AhrsData::Element</a></div><div class="ttdeci">IODataElement * Element(PlotableData_t plotableData) const </div><div class="ttdoc">Element. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfea3c9eaace6600b7f0c84cf88fddd146b4"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea3c9eaace6600b7f0c84cf88fddd146b4">flair::core::AhrsData::Wz</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:61</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfeaacc98a52fd3a118df2369ceacfe42e80"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeaacc98a52fd3a118df2369ceacfe42e80">flair::core::AhrsData::Yaw</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:51</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfeab1879f408d8ca43877c6b8e1d1c47e2a"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeab1879f408d8ca43877c6b8e1d1c47e2a">flair::core::AhrsData::PitchDeg</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:53</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfe"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe">flair::core::AhrsData::PlotableData_t</a></div><div class="ttdeci">PlotableData_t</div><div class="ttdoc">Datas wich can be plotted in a DataPlot1D. </div><div class="ttdef"><b>Definition:</b> AhrsData.h:48</div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></div><div class="ttdoc">Class defining a quaternion. </div><div class="ttdef"><b>Definition:</b> Quaternion.h:26</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfea36d7aef4c89906df6c51376607cb3d26"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea36d7aef4c89906df6c51376607cb3d26">flair::core::AhrsData::YawDeg</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:54</div></div>
<div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html_a543cdebeff537350a819b07a4a55cdfea1543ed94aca30d1db18d7f851cc06849"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea1543ed94aca30d1db18d7f851cc06849">flair::core::AhrsData::WzDeg</a></div><div class="ttdef"><b>Definition:</b> AhrsData.h:64</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_ahrs_data_8h.html">AhrsData.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
